Skip to main content
`Ctrl`+`K`

# EPSCISSSetRefinement

Sets the values of various refinement parameters in the CISS solver.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSCISSSetRefinement(EPS eps,PetscInt inner,PetscInt blsize)

Logically Collective

## Input Parameters

- eps - the linear eigensolver context

- inner - number of iterative refinement iterations (inner loop)

- blsize - number of iterative refinement iterations (blocksize loop)

## Options Database Keys

- -eps_ciss_refine_inner <inner> - sets number of inner iterations

- -eps_ciss_refine_blocksize <blsize> - sets number of blocksize iterations

## Notes

`PETSC_CURRENT` can be used to preserve the current value of any of the arguments, and `PETSC_DETERMINE` to set them to a default of 0 (no refinement).

For a detailed description of the parameters see [Maeda et al., 2016].

## References

[Mae16]

Y. Maeda, T. Sakurai, and J. E. Roman. Contour integral spectrum slicing method in SLEPc. Technical Report STR-11, Universitat Politècnica de València, 2016. URL: https://slepc.upv.es/documentation.

## See Also

EPS: Eigenvalue Problem Solver, `EPSCISS`, `EPSCISSGetRefinement()`, `EPSCISSSetSizes()`, `EPSCISSSetThreshold()`

## Level

advanced

## Location

src/eps/impls/ciss/ciss.c

## Implementations

EPSCISSSetRefinement_CISS() in src/eps/impls/ciss/ciss.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages